﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebDevUtilities.Common.Enum
{
    using System.ComponentModel;

    /// <summary>
    /// Web-Developer File Extensions
    /// </summary>
    public enum ImageFileExtension
    {
        // image file extensions
        [Description("Graphics Interchange Format")]
        Gif,
        [Description("Portable Network Graphics")]
        Png,
        [Description("JPEG File Interchange Format")]
        Jpg,
        [Description("JPEG File Interchange Format")]
        Jpeg
    }

    public enum StylesheetFileExtension
    {
        // stylesheet file extensions
        [Description("Cascading Stylesheet")]
        Css,
        [Description("Dynamic Stylesheet Language")]
        Less,
        [Description("Syntactically Awesome Stylesheets")]
        Scss,
        [Description("Syntactically Awesome Stylesheets (no semicolons)")]
        Sass
    }

    public enum AspTemplateFileExtension
    {
        // asp template file extensions
        [Description("ASP.NET Web Form")]
        Aspx,
        [Description("ASP.NET Web User Control")]
        Ascx
    }
    
}
