﻿namespace WebDevUtilities.VsixPkg.Extensions.CssSpriteGenerator
{
    public class FileType
    {
        /// <summary>
        /// Gives the PNG filetype extension as string.
        /// </summary>
        public const string PNG = ".png";
        /// <summary>
        /// Gives the JPG filetype extension as string.
        /// </summary>
        public const string JPG = ".jpg";
        /// <summary>
        /// Gives the JPEG filetype extension as string.
        /// </summary>
        public const string JPEG = ".jpeg";
        /// <summary>
        /// Gives the GIF filetype extension as string.
        /// </summary>
        public const string GIF = ".gif";
        /// <summary>
        /// Gives the BMP filetype extension as string.
        /// </summary>
        public const string BMP = ".bmp";
    }

    public class Constants
    {
        /// <summary>
        /// _tmp_
        /// </summary>
        public const string TempSuffix = "_tmp_";
        /// <summary>
        /// FullPath
        /// </summary>
        public const string ProjectItemPropertyFullPath = "FullPath";
    }
}
