﻿namespace WebDevUtilities.CssSpriteGenerator.Logic
{
    using System.ComponentModel;

    public enum ImageFileExtension
    {
        [Description("Graphics Interchange Format")]
        Gif,
        [Description("Portable Network Graphics")]
        Png,
        [Description("JPEG File Interchange Format")]
        Jpg,
        [Description("JPEG File Interchange Format")]
        Jpeg
    }

    public enum StylsheetFileExtension
    {
        [Description("Cascading Stylesheet")]
        Css,
        [Description("Dynamic Stylesheet Language")]
        Less,
        [Description("Syntactically Awesome Stylesheets")]
        Scss,
        [Description("Syntactically Awesome Stylesheets (no semicolons)")]
        Sass
    }
}